Download it now!
Bug 131297 - i18n: add language Sundanese [sun-ID] locale data
Summary: i18n: add language Sundanese [sun-ID] locale data
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-11 22:23 UTC by Rizal Muttaqin
Modified: 2020-03-13 11:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-03-11 22:23:05 UTC
Hello I would like to see localization support for Sundanese (Indonesia)

https://iso639-3.sil.org/code/sun
Comment 1 Eike Rathke 2020-03-12 00:22:17 UTC
I will use this issue as a request to add the necessary entries to the
language list box, IDs and ISO code mappings.

Adding a language to the language list box makes it available for
character attribution and spell-checking. Availability of spell checker,
hyphenation and thesaurus of course depends on the installed
dictionaries. To be able to fully support it as a locale, including
number formats and calendar data, and having it selectable as default
document language we would need a locale data file.

For how to contribute locale data please see
https://wiki.documentfoundation.org/LibreOffice_Localization_Guide/How_To_Submit_New_Locale_Data

As you assigned this bug to yourself I assume you plan to work on providing the locale data file.

Thanks.
Comment 2 Rizal Muttaqin 2020-03-12 04:35:04 UTC
(In reply to Eike Rathke from comment #1)
> I will use this issue as a request to add the necessary entries to the
> language list box, IDs and ISO code mappings.
> 
> Adding a language to the language list box makes it available for
> character attribution and spell-checking. Availability of spell checker,
> hyphenation and thesaurus of course depends on the installed
> dictionaries. To be able to fully support it as a locale, including
> number formats and calendar data, and having it selectable as default
> document language we would need a locale data file.
> 
> For how to contribute locale data please see
> https://wiki.documentfoundation.org/LibreOffice_Localization_Guide/
> How_To_Submit_New_Locale_Data
> 
> As you assigned this bug to yourself I assume you plan to work on providing
> the locale data file.
> 
> Thanks.

The patch is here:

https://gerrit.libreoffice.org/c/core/+/90353

Please your review
Comment 3 Eike Rathke 2020-03-12 12:37:42 UTC
Apparently we don't have your license statement on file, could you
please send us a blanket statement that you contribute all your past and
future patches under the MPLv2 and LGPLv3+ licenses? Best on the dev
mailing list libreoffice@lists.freedesktop.org so we can link to it from
https://wiki.documentfoundation.org/Development/Developers

Something like this does nicely:

All of my past & future contributions to LibreOffice may be
licensed under the MPLv2/LGPLv3+ dual license.

Best use Subject: <your full name> license statement

Sorry for the inconvenience and thank you for cooperating :-)
Comment 4 Rizal Muttaqin 2020-03-12 13:37:38 UTC
(In reply to Eike Rathke from comment #3)
> Apparently we don't have your license statement on file, could you
> please send us a blanket statement that you contribute all your past and
> future patches under the MPLv2 and LGPLv3+ licenses? Best on the dev
> mailing list libreoffice@lists.freedesktop.org so we can link to it from
> https://wiki.documentfoundation.org/Development/Developers
> 
> Something like this does nicely:
> 
> All of my past & future contributions to LibreOffice may be
> licensed under the MPLv2/LGPLv3+ dual license.
> 
> Best use Subject: <your full name> license statement
> 
> Sorry for the inconvenience and thank you for cooperating :-)

Yes, I grant permission to you set the license to LGPLv3+.
Comment 5 Commit Notification 2020-03-12 14:09:02 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e51057591defa93dbb4c48aff3598053890a7bd2

tdf#131297 Add Sundanese [sun-ID] to language list

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2020-03-12 16:47:56 UTC
(In reply to Rizal Muttaqin from comment #4)
> Yes, I grant permission to you set the license to LGPLv3+.
Thanks, but please write the mail to the libreoffice@lists.freedesktop.org mailing list as I indicated. We have to keep a record of that, and seeing that you already had many design commits merged I wonder that nobody insisted so far ;-)

Thank you.
Comment 7 Eike Rathke 2020-03-12 16:49:19 UTC
And please best use the exact wording granting both licenses:

All of my past & future contributions to LibreOffice may be
licensed under the MPLv2/LGPLv3+ dual license.
Comment 8 Commit Notification 2020-03-13 01:22:10 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eef1bfd60ac7988dedec35998747320a36121e04

Fix for tdf#131297 Add Sundanese [sun-ID] locale data.

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.